Page MenuHomePhabricator

Fix TestFileHandle.py. Remove redundant skipIfReproducer annotation
AbandonedPublic

Authored by PatriosTheGreat on Nov 24 2021, 11:21 AM.

Details

Summary

My recent change (https://reviews.llvm.org/D104413) broke the lldb tests (https://lab.llvm.org/buildbot#builders/17/builds/13800).
The problem is that skipIfReproducer annotation was removed in this change: https://github.com/llvm/llvm-project/commit/b505ed9d313653782b81bbc97979c98edb205558

In this change I remove unnecessary annotation. I checked tests on my local Linux machine they are passing on it.
Not sure if it's better to revert original commit (https://reviews.llvm.org/rGf23b829a2635a6d833bdc81a12d6217b52ae9e45) and then re-commit the change with this fix.

Diff Detail

Event Timeline

PatriosTheGreat requested review of this revision.Nov 24 2021, 11:21 AM
PatriosTheGreat created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptNov 24 2021, 11:21 AM
labath added a subscriber: labath.Nov 25 2021, 12:04 AM

I've fixed this in rGc0e3bb4d4ba306.

Not sure if it's better to revert original commit (https://reviews.llvm.org/rGf23b829a2635a6d833bdc81a12d6217b52ae9e45) and then re-commit the change with this fix.

For a simple fix like this, it doesn't really matter what you do. Just don't leave the build broken for extended periods of time. :)

That said, it's pretty hard to do anything when you don't have commit access to the repository, so part of the responsibility also lies with the person who commits the patch for you. I think that, for a while, we had the problem that the blame emails were not going to the person who committed the patch (only the author), but I was under the impression that was now fixed. David, did you get any breakage emails about that commit ?

Hi Pavel.

Got it,
Thanks for fixing and clarification.

I've fixed this in rGc0e3bb4d4ba306.

Not sure if it's better to revert original commit (https://reviews.llvm.org/rGf23b829a2635a6d833bdc81a12d6217b52ae9e45) and then re-commit the change with this fix.

For a simple fix like this, it doesn't really matter what you do. Just don't leave the build broken for extended periods of time. :)

That said, it's pretty hard to do anything when you don't have commit access to the repository, so part of the responsibility also lies with the person who commits the patch for you. I think that, for a while, we had the problem that the blame emails were not going to the person who committed the patch (only the author), but I was under the impression that was now fixed. David, did you get any breakage emails about that commit ?

David, did you get any breakage emails about that commit ?

I did not.

This revision is now accepted and ready to land.Nov 29 2021, 8:59 AM
PatriosTheGreat abandoned this revision.Nov 29 2021, 9:02 AM

Closing this revision since Pavel already fixed this in rGc0e3bb4d4ba306.